---
metadata:
  - name: generator
    content: Diplodoc Platform v5.44.0
alternate:
  - https://yandex.com/dev/webmaster/doc/en/reference/host-user-added-sitemaps-sitemap-id-delete.md
  - https://yandex.com/dev/webmaster/doc/ru/reference/host-user-added-sitemaps-sitemap-id-delete.md
keywords:
  - S
  - i
  - t
  - e
  - m
  - a
  - p
  - ' '
  - f
  - l
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com/dev/webmaster/doc/en/llms.txt


# Removing a Sitemap file

Deletes the Sitemap file added in Yandex.Webmaster.

## Request format

```
DELETE https://api.webmaster.yandex.net/v4/user/{[user-id](*user-id)}/hosts/{[host-id](*host-id)}/user-added-sitemaps/{[sitemap-id](*sitemap-id)}
```

#|
||
`user-id`
|
<!-- source: en/_includes/popups.md -->
Type: `int64`. User ID. Required when calling all Yandex.Webmaster API resources. To get it, use the [GET /v4/user](https://yandex.com/dev/webmaster/doc/en/reference/user.md) method.
<!-- endsource: en/_includes/popups.md -->
||
||
`host-id`
|
<!-- source: en/_includes/popups.md -->
Type: `host id (string)`. The site ID. To get it, use the [GET /v4/user/{user-id}/hosts](https://yandex.com/dev/webmaster/doc/en/reference/hosts.md) method.
<!-- endsource: en/_includes/popups.md -->
||
||
`sitemap-id`
|
Type: `sitemap id (string)`. [Sitemap file ID](https://yandex.com/dev/webmaster/doc/en/reference/host-sitemaps-get.md#response-format).
||
|#

## Response format

The response body isn't passed.

## Response codes

To view the response structure in detail, click the reason.

#|
||
**Code** | **Reason** | **Description**
||
||
204 | NO_CONTENT | Text was removed.
||
||
403
|
[INVALID_USER_ID](https://yandex.com/dev/webmaster/doc/en/reference/errors.md#invalid-user-id)
|
The ID of the user who issued the token differs from the one specified in the request. In the examples below, `{user_id}` shows the correct `uid` of the OAuth token owner.

{% list tabs %}

- JSON

  ```json 
  {   
      "error_code": "INVALID_USER_ID",   
      "available_user_id": 1,   
      "error_message": "Invalid user id. {user_id} should be used." 
  }
  ```

- XML

  ```xml 
  <Data>     
      <[error_code](*error_code)>INVALID_USER_ID</error_code>     
      <[available_user_id](*available_user_id)>1</available_user_id>     
      <[error_message](*error_message)>Invalid user id. {user_id} should be used.</error_message> 
  </Data>
  ```

{% endlist %}
||
||
404
|
[HOST_NOT_VERIFIED](https://yandex.com/dev/webmaster/doc/en/reference/errors.md#host-not-verif)
|
Site management rights are not verified.

{% list tabs %}

- JSON

  ```json
  {   
      "error_code": "HOST_NOT_VERIFIED",   
      "host_id": "http:ya.ru:80",   
      "error_message": "some string"
  }
  ```

- XML

  ```xml 
  <Data>   
      <[error_code](*error_code)>HOST_NOT_VERIFIED</error_code>     
      <[host_id](*host_id)>http:ya.ru:80</host_id>   
      <[error_message](*error_message)>some string</error_message> 
  </Data>
  ```

{% endlist %}
||
||
404
|
[SITEMAP_NOT_ADDED](https://yandex.com/dev/webmaster/doc/en/reference/errors.md#sitemap-not-added)
|
The Sitemap file is missing.

{% list tabs %}

- JSON

  ```javascript 
  {   
      "error_code": "SITEMAP_NOT_ADDED",   
      "host_id": "http:ya.ru:80",   
      "sitemap_id": "c7-fe:80-c0",   
      "error_message": "some string" 
  }
  ```

- XML

  ```xml 
  <Data>   
      <[error_code](*error_code)>SITEMAP_NOT_ADDED</error_code>    
      <[host_id](*host_id)>http:ya.ru:80</host_id>     
      <[sitemap_id](*sitemap_id)>c7-fe:80-c0</sitemap_id>     
      <[error_message](*error_message)>some string</error_message>
  </Data>
  ```

{% endlist %}
||
|#

### Related information

- [Error codes and statuses](https://yandex.com/dev/webmaster/doc/en/reference/errors.md)




[*user-id]: Type: `int64`. User ID. Required when calling all Yandex.Webmaster API resources. To get it, use the [GET /v4/user](https://yandex.com/dev/webmaster/doc/en/reference/user.md) method.

[*host-id]: Type: `host id (string)`. The site ID. To get it, use the [GET /v4/user/{user-id}/hosts](https://yandex.com/dev/webmaster/doc/en/reference/hosts.md) method.

[*sitemap-id]: Type: sitemap id (string). [Sitemap file ID](https://yandex.com/dev/webmaster/doc/en/reference/host-sitemaps-get.md#response-format).

[*error_code]: **Description**

Error code.

[*available_user_id]: **Description**

ID of the user who allowed access.

[*host_id]: **Description**

ID of the requested site.

[*sitemap_id]: **Description**

The `Sitemap` file ID.

[*error_message]: **Description**

Error message.